Deployments.ai Docs
Evaluations

List regression datasets

GET /v1/regression-datasets · SDK listRegressionDatasets · CLI deployments eval dataset list

GET
/v1/regression-datasets

Requires observability:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100
status?string
Value in"active""archived"

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListRegressionDatasetsResponse

application/json
  1. response
items*array<>
nextCursor?string|null
curl -X GET "https://example.com/v1/regression-datasets" \  -H "x-deployments-organization: string" \  -H "x-deployments-project: string" \  -H "x-deployments-environment: string"
{  "items": [    {      "archivedAt": "2019-08-24T14:15:22Z",      "caseCount": 0,      "createdAt": "2019-08-24T14:15:22Z",      "description": "string",      "id": "string",      "name": "string",      "ownerPrincipalId": "string",      "retentionDays": 1,      "status": "active",      "updatedAt": "2019-08-24T14:15:22Z",      "version": 0    }  ],  "nextCursor": "string"}